OpenObserve Docs
ReferenceApiUsers

Add existing user to org

Updated View MarkdownOpen in ChatGPTOpen in Claude

Endpoint: POST /api/{organization}/users/{user_email}

Request

{	
	"role": "admin"
}

Description

Field nameData typeDefault valueDescription
rolestring-user role: admin, editor, viewer, user or service_account
custom_rolearray[string]-Enterprise with RBAC only: custom roles to assign

Response

{
	"code": 200,
	"message": "User added to org successfully"
}
Was this page helpful?

On this page